As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 719855 - IonMonkey: congruentTo should be opt-in rather than opt-out
: IonMonkey: congruentTo should be opt-in rather than opt-out
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Jan de Mooij [:jandem]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: IonMonkey
  Show dependency treegraph
 
Reported: 2012-01-20 08:57 PST by Jan de Mooij [:jandem]
Modified: 2012-01-24 03:02 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (26.89 KB, patch)
2012-01-23 10:15 PST, Jan de Mooij [:jandem]
dvander: review+
Details | Diff | Splinter Review

Description User image Jan de Mooij [:jandem] 2012-01-20 08:57:18 PST
If an instruction does not override congruentTo, it defaults to comparing the value numbers of the operands. This is error prone, see bug 719774.
Comment 1 User image Jan de Mooij [:jandem] 2012-01-23 10:15:20 PST
Created attachment 590770 [details] [diff] [review]
Patch

I don't really like the name "congruentIfEqualOperands", but I can't think of a better name, suggestions welcome.
Comment 2 User image David Anderson [:dvander] 2012-01-23 16:12:44 PST
(congruentIfOperandsEqual reads 8% better)
Comment 3 User image Jan de Mooij [:jandem] 2012-01-24 03:02:17 PST
(In reply to David Anderson [:dvander] from comment #2)
> (congruentIfOperandsEqual reads 8% better)

Pushed with this change:

https://hg.mozilla.org/projects/ionmonkey/rev/151c3f95b870

Probably a SS win because we're now able to hoist the SETELEM bounds check (the alias set for MStoreElement was too strict).

Note You need to log in before you can comment on or make changes to this bug.